using System;
using System.Web.UI;

public partial class AjaxSearch : System.Web.UI.MasterPage
{

    protected override void OnLoad(EventArgs e)
    {
        base.OnLoad(e);
        Page.Title = SteamWare.memLayer.ML.confReadString("_titoloPagina");
    }

    protected override void OnInit(EventArgs e)
    {
        base.OnInit(e);
        Mod_menuTop1.eh_toggleMenuSx += new EventHandler(Mod_menuTop1_eh_toggleMenuSx);
        Mod_menuTop1.eh_reqUpdateMenu += new EventHandler(Mod_menuTop1_eh_reqUpdateMenu);
    }

    void Mod_menuTop1_eh_reqUpdateMenu(object sender, EventArgs e)
    {
        // chiamo update del menu sx...
        Mod_menuSx1.forzaUpdateMenu();
    }

    void Mod_menuTop1_eh_toggleMenuSx(object sender, EventArgs e)
    {
        // cambio stato visualizzaizone menù laterale...
        Mod_menuSx1.Visible = !Mod_menuSx1.Visible;
    }

    protected override void OnUnload(EventArgs e)
    {
        base.OnUnload(e);
        // svuoto tutti gli event handler inseriti...
        Mod_menuTop1.eh_toggleMenuSx -= new EventHandler(Mod_menuTop1_eh_toggleMenuSx);
        Mod_menuTop1.eh_reqUpdateMenu -= new EventHandler(Mod_menuTop1_eh_reqUpdateMenu);

    }
}
